package com.ruoyi.gysl.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.gysl.entity.GyslBqgl;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.service.GyslBqglService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;
import java.io.Serializable;
import java.util.List;

/**
 * 标签管理(GyslBqgl)表控制层
 *
 * @author makejava
 * @since 2025-04-15 09:18:33
 */
@Api(tags = "标签管理")
@RestController
@RequestMapping("/gysl/bqgl")
public class GyslBqglController  extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private GyslBqglService gyslBqglService;


    /**
     * 根据项目id查询项目标签管理
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    @ApiOperation("根据项目id查询项目标签管理")
    @GetMapping("/searchId")
    public AjaxResult selectAll(@Valid ZwIdPageReq zwIdPageReq) {
        return success(gyslBqglService.searchId(zwIdPageReq));
    }
    /**
     * 新增数据
     *
     * @param gyslBqgl 实体对象
     * @return 新增结果
     */
    @PostMapping("/add")
    @ApiOperation("新增数据")
    public AjaxResult insert(@RequestBody GyslBqgl gyslBqgl) {
        return success(gyslBqglService.save(gyslBqgl));
    }

    /**
     * 修改数据
     *
     * @param gyslBqgl 实体对象
     * @return 修改结果
     */
    @PostMapping("/edit")
    @ApiOperation("修改数据")
    public AjaxResult update(@RequestBody GyslBqgl gyslBqgl) {
        return success(gyslBqglService.updateById(gyslBqgl));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @ApiOperation("删除数据")
    @DeleteMapping("/delete")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(gyslBqglService.removeByIds(idList));
    }
}

