package com.ruoyi.gysl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.poi.ss.usermodel.IndexedColors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 规划信息(PlanInformation)实体类
 *
 * @author makejava
 * @since 2025-02-24 14:21:58
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gysl_plan_information")
@ApiModel(value = "PlanInformation", description = "规划信息")
public class PlanInformation extends BaseModel implements Serializable {
    private static final long serialVersionUID = 949116362621294280L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    private Long xmId;

    /**
     * 总用地面积
     */
    @Excel(name = "总用地面积",headerBackgroundColor= IndexedColors.RED1,required = true)
    @ApiModelProperty(value = "总用地面积 ")
    private BigDecimal zydmj;

    /**
     * 容积率
     */
    @Excel(name = "容积率",headerBackgroundColor= IndexedColors.RED1,required = true)
    @ApiModelProperty(value = "容积率")
    private BigDecimal rjl;

    /**
     * 总建筑面积
     */
    @Excel(name = "总建筑面积",headerBackgroundColor= IndexedColors.RED1,required = true)
    @ApiModelProperty(value = "总建筑面积 ")
    private BigDecimal zjzmj;

    /**
     * 标准层建筑面积
     */
    @Excel(name = "标准层建筑面积",headerBackgroundColor= IndexedColors.RED1,required = true)
    @ApiModelProperty(value = "标准层建筑面积")
    private String bzcjzmj;

    /**
     * 计容积率建筑面积
     * 
     */
    @Excel(name = "计容积率建筑面积")
    @ApiModelProperty(value = "计容积率建筑面积")
    private BigDecimal jrjljzmj;

    /**
     * 建筑密度
     */
    @Excel(name = "建筑密度")
    @ApiModelProperty(value = "建筑密度")
    private BigDecimal jzmd;

    /**
     * 绿地率
     */
    @Excel(name = "绿地率")
    @ApiModelProperty(value = "绿地率")
    private BigDecimal ldl;

    /**
     * 建筑栋数
     * 
     */
    @Excel(name = "建筑栋数")
    @ApiModelProperty(value = "建筑栋数")
    private Integer jzds;

    /**
     * 地上建筑面积
     * 
     */
    @Excel(name = "地上建筑面积")
    @ApiModelProperty(value = "地上建筑面积")
    private BigDecimal dsjzmj;

    /**
     * 地下建筑面积
     * 
     */
    @Excel(name = "地下建筑面积")
    @ApiModelProperty(value = "地下建筑面积")
    private BigDecimal dxjzmj;

    /**
     * 最高建筑层数
     */
    @Excel(name = "最高建筑层数")
    @ApiModelProperty(value = "最高建筑层数")
    private Integer zgjzcs;

    /**
     * 最高建筑高度
     */
    @Excel(name = "最高建筑高度")
    @ApiModelProperty(value = "最高建筑高度")
    private BigDecimal zgjzgd;

    /**
     * 机动车停车位
     *
     */
    @Excel(name = "机动车停车位")
    @ApiModelProperty(value = "机动车停车位")
    private Integer jdctcw;

    /**
     * 非机动车停车位
     */
    @Excel(name = "非机动车停车位")
    @ApiModelProperty(value = "非机动车停车位")
    private Integer fjdctcw;

    /**
     * 规划文件
     */
    @ApiModelProperty(value = "规划文件")
    private String ghwj;

    /**
     * 防火等级
     */
    @Excel(name = "防火等级")
    @ApiModelProperty(value = "防火等级")
    private String fhdj;
}
