package com.ruoyi.docking.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * 项目月度进度（对接数据）(ProjectProgress)表实体类
 *
 * @author makejava
 * @since 2025-03-25 15:06:33
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("project_progress")
@ApiModel(value="项目月度进度")
public class ProjectProgress {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value ="项目进度ID" )
    private Integer id;

    @ApiModelProperty(value ="项目id" )
    private Integer xmId;

    @ApiModelProperty(value ="项目进度ID" )
    private Integer progressId;
   

    @ApiModelProperty(value ="项目ID" )
    private Integer projectId;
   

    @ApiModelProperty(value ="月份" )
    @Excel(name = "月份")
    @NotBlank(message = "请填写月份")
    private String month;
   

    @ApiModelProperty(value ="状态" )
    @Excel(name = "状态")
    private String status;
   

    @ApiModelProperty(value ="本月完成投资" )
    @Excel(name = "当月完成投资")
    private Float monthDoneAmount;
   

    @ApiModelProperty(value ="本年完成投资" )
    private Float doneAmount;
   

    @ApiModelProperty(value ="项目累计完成投资" )
    @Excel(name = "累计完成投资")
    private Float totalDoneAmount;
   

    @ApiModelProperty(value ="项目形象进度" )
    private String progressContent;
   

    @ApiModelProperty(value ="项目进度图片" )
    private String progressImages;
   

    @ApiModelProperty(value ="预计开工时间" )
    private String startTime;
   

    @ApiModelProperty(value ="预计竣工时间" )
    private String endTime;
   

    @ApiModelProperty(value ="当年度财务支出(开票)数" )
    private Float financialExpense;
   

    @ApiModelProperty(value ="创建用户" )
    private String createdBy;
   

    @ApiModelProperty(value ="创建时间" )
    private Integer createdAt;
   

    @ApiModelProperty(value ="年度" )
    private String year;
   

    @ApiModelProperty(value ="实际开工时间" )
    private String actualStartTime;
   

    @ApiModelProperty(value ="预计投产投用时间" )
    private String operationTime;
   

    @ApiModelProperty(value ="实际投产投用时间" )
    private String actualOperationTime;
   

    @ApiModelProperty(value ="投产投用情况，0否，1部分，2全部" )
    private String tctyStatus;
   

    @ApiModelProperty(value ="预计年产值" )
    private Float planRevenue;
   

    @ApiModelProperty(value ="竣工验收情况，1部分，2全部" )
    private String jgysStatus;
   

    @ApiModelProperty(value ="预计投产后税收" )
    private Float planTax;
   

    @ApiModelProperty(value ="当年产值" )
    private Float currentRevenue;
   

    @ApiModelProperty(value ="当年税收" )
    private Float currentTax;
   

    @ApiModelProperty(value ="下一年产值" )
    private Float nextRevenue;
   

    @ApiModelProperty(value ="下一年税收" )
    private Float nextTax;
    //---------------
    @ApiModelProperty(value ="截止目前累计建成面积(平方米)" )
    @Excel(name = "截止目前累计建成面积(平方米)")
    private String jzmqjc;

    @ApiModelProperty(value ="项目进展详情" )
    @Excel(name = "项目进展详情")
    private String xmjzxq;
}

